#include "asuro.h" 						// Controlling Pc
#define RWD_KEY '2' 					// diffine Backward Key
#define FWD_KEY '8' 					// diffine Forward Key
#define LEFT_KEY '4' 					// diffine Left Key
#define RIGHT_KEY '6' 					// diffine Right Key
#define STOP_KEY '5' 					// diffine Stop Key

void PCFront(void)
{
	MotorDir(FWD,FWD); // Set motors to drive Forward 
	MotorSpeed(150,150);  // Set motor speed to drive in a striaght line
}
void PCBack(void)
{
	MotorDir(RWD,RWD); // Set motors to drive Reverse 
	MotorSpeed(150,150); // Set motor speed to drive in a striaght line
}
void PCLeft (void)
{
	MotorDir(FWD,FWD); // Set motors to drive Forward 
	MotorSpeed(255,0); // Set right motor speed to 255
}
void PCRight (void)
{
	MotorDir(FWD,FWD); // Set motors to drive Forward  
	MotorSpeed(0,255); // Set right motor speed to 255
}
void PCStop(void)
{
	MotorDir(FWD,FWD); // Set Motors to BREAK
	MotorSpeed(0,0);//Set Motor Speed to zero
}
int main(void)
{
	unsigned char cmd;
	Init();
	
	while(1) {
		cmd = 0;
		SerRead(&cmd,1,0xFFFE);
		switch (cmd) {
			case RWD_KEY : PCBack(); SerWrite("back\n\r",7); break;
			case FWD_KEY : PCFront(); SerWrite("front\n\r",8); break;
			case LEFT_KEY : PCLeft(); SerWrite("left\n\r",7); break;
			case RIGHT_KEY : PCRight(); SerWrite("right\n\r",8); break;
			case STOP_KEY : PCStop(); SerWrite("stop\n\r",7); break;
		}
		
	}
	return 0;
}